using System;
using System.Drawing;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;


class AppDataForm
{
	public static void Main()
	{
	 DataForm DForm = new DataForm();
	 Application.Run(DForm);
	}
}


    

    /// <summary>
    ///    Summary description for Win32Form1.
    /// </summary>
    public class DataForm : System.Windows.Forms.Form {

        /// <summary> 
        ///    Required by the Win Forms designer 
        /// </summary>
	private System.ComponentModel.Container components;
    private Button DeleteRecord;
    private System.Windows.Forms.DataGrid ShowTables;
    private DataSet myDataSet = new DataSet();
    private bool FirstSecond = true;
    private Button ChangeStyle;
        public DataForm() {

            // Required for Win Form Designer support
            InitializeComponent();


            // TODO: Add any constructor code after InitializeComponent call

        }

        /// <summary>
        ///    Clean up any resources being used
        /// </summary>
        public override void Dispose() {
            base.Dispose();
            components.Dispose();
        }


        private void InitializeComponent()
	{
		this.components = new System.ComponentModel.Container();
		//  datagrid
		this.ShowTables = new System.Windows.Forms.DataGrid();
		//  
		ShowTables.BeginInit();
		
		//@design this.TrayHeight = 90;
		//@design this.TrayLargeIcon = false;
		//@design this.TrayAutoArrange = true;
		ShowTables.Location = new System.Drawing.Point(24, 16);
		ShowTables.ReadOnly = false;
		ShowTables.Size = new System.Drawing.Size(304, 136);
		ShowTables.DataMember = "";
		ShowTables.TabIndex = 0;
		
        
		this.Text = "DataGrid";
		this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
		this.ClientSize = new System.Drawing.Size(368, 300);
		
       	this.Controls.Add(ShowTables);
		ShowTables.EndInit();
		DeleteRecord = new Button();
		DeleteRecord.Size = new System.Drawing.Size(150, 25);
        DeleteRecord.Top = 200;
        DeleteRecord.Left = 100;
        DeleteRecord.Text = "  ";
		DeleteRecord.Click += new System.EventHandler(DeleteRecord_Click);
        this.Controls.Add(DeleteRecord);
        
        ChangeStyle =  new Button();
		ChangeStyle.Size = new System.Drawing.Size(150, 25);
        ChangeStyle.Top = 230;
        ChangeStyle.Left = 100;
        ChangeStyle.Text = " ";
		ChangeStyle.Click += new System.EventHandler(ChangeStyle_Click);

        this.Controls.Add(ChangeStyle);
        //   customers
		DataTable Customers = new DataTable("Customers");
        // 
		DataColumn column; 
		column = new DataColumn();
        column.DataType = Type.GetType("System.Int32");
		column.ColumnName = "customer_id";
        column.AutoIncrement = true;
		column.Caption = "Id ";
		column.ReadOnly = false;
		column.Unique = true;
		// 
		Customers.Columns.Add(column);

		column = new DataColumn();
        column.DataType = Type.GetType("System.String");
		column.ColumnName = "name";
        column.AutoIncrement = false;
		column.Caption = "";
		column.ReadOnly = true;
		column.Unique = false;
		Customers.Columns.Add(column);
        
		// 
        myDataSet.Tables.Add(Customers);

		//  Orders
        //id   int
		//tovar  
		//summa  
		DataTable Orders = new DataTable("Orders");
		
		column = new DataColumn();
        column.DataType = Type.GetType("System.Int32");
		column.ColumnName = "customer_id";
		column.Caption = "customer_id";
		column.ReadOnly = false;
		Orders.Columns.Add(column);

		column = new DataColumn();
        column.DataType = Type.GetType("System.String");
		column.ColumnName = "tovar";
		column.Caption = "";
		column.ReadOnly = false;
		Orders.Columns.Add(column);

		column = new DataColumn();
        column.DataType = Type.GetType("System.Double");
		column.ColumnName = "summa";
		column.Caption = "";
		column.ReadOnly = false;
		Orders.Columns.Add(column);
        myDataSet.Tables.Add(Orders);
          


		// 
		DataRow row;
        row = Customers.NewRow();
		row["name"] = "Leonid";
        Customers.Rows.Add(row);
        
		row = Customers.NewRow();
		row["name"] = "Artem";
        Customers.Rows.Add(row);

        row = Customers.NewRow();
		row["name"] = "Anonymous";
        Customers.Rows.Add(row);

        row = Customers.NewRow();
		row["name"] = "Admin";
        Customers.Rows.Add(row);
        
		// 
       row = Orders.NewRow();
		row["customer_id"] = 1;
		row["tovar"] = "";
		row["summa"] = 2.0;
        Orders.Rows.Add(row);
        
		row = Orders.NewRow();
		row["customer_id"] = 1;
		row["tovar"] = "";
		row["summa"] = .5;
        Orders.Rows.Add(row);

        row = Orders.NewRow();
		row["customer_id"] = 0;
		row["tovar"] = "";
		row["summa"] = .1;
        Orders.Rows.Add(row);
    
		//     
        System.Data.DataRelation rel;
        System.Data.DataColumn column1; 
		System.Data.DataColumn column2; 
        column1 = myDataSet.Tables["Customers"].Columns["customer_id"];
        column2 = myDataSet.Tables["Orders"].Columns["customer_id"];
        rel = new System.Data.DataRelation("", column1, column2, true);
        
        myDataSet.Relations.Add(rel);
		ShowTables.CaptionVisible = true;

        // (  ..) 
		myDataSet.Tables["Customers"].AcceptChanges();
		myDataSet.Tables["Orders"].AcceptChanges();
        
        ShowTables.AlternatingBackColor = Color.Blue;
        if(ShowTables.TableStyles.Count == 0)
        {
         DataGridTableStyle ts1 = new DataGridTableStyle();
         ts1.MappingName = "Customers";
         if(ts1.GridColumnStyles.Count == 0)
         {
          DataGridTextBoxColumn gc1 = new DataGridTextBoxColumn();
          ts1.GridColumnStyles.Add(gc1);
          gc1.MappingName = "Name";
          gc1.HeaderText = "";
         }
         ShowTables.TableStyles.Add(ts1);

        }
        if(ShowTables.TableStyles.Count == 1)
        {
         DataGridTableStyle ts1 = new DataGridTableStyle();
         ts1.MappingName = "";
         if(ts1.GridColumnStyles.Count == 0)
         {
          DataGridTextBoxColumn gc1 = new DataGridTextBoxColumn();
          ts1.GridColumnStyles.Add(gc1);
          gc1.MappingName = "customer_id";
          gc1.HeaderText = "Id ";
         }
         ShowTables.TableStyles.Add(ts1);
        }

        ShowTables.ReadOnly = true;      
		//    datagrid
		ShowTables.SetDataBinding(myDataSet, "Customers");
	}
    protected void DeleteRecord_Click(object sender, System.EventArgs e)
	{
	  //
		myDataSet.EnforceConstraints = false;
        myDataSet.Tables["Customers"].Rows[1].Delete();
		myDataSet.Tables["Orders"].RejectChanges();
		myDataSet.Tables["Customers"].RejectChanges();
	}
    protected void ChangeStyle_Click(object sender, System.EventArgs e)
	{
      FirstSecond = !FirstSecond;
      ShowTables.TableStyles[0].MappingName = "";
      ShowTables.TableStyles[1].MappingName = "";
      if(FirstSecond)
      {
       ShowTables.TableStyles[0].MappingName = "Customers";
      }
      else
      {
       ShowTables.TableStyles[1].MappingName = "Customers";     
      }
    }


    }

